Foreman - Bug #8221

subnet not matching domain available as choice when creating new host
10/30/2014 11:41 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: Host creation
Target version: 1.7.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1158918 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1914
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1158918

Description of problem:

We've noticed that subnets which are not part of the selected domain are available as a valid choice in the WEBUI when creating a
new host.

Version-Release number of selected component (if applicable):
satellite-6.0.4

How reproducible:
Every time

Steps to Reproduce:

. Go to https://satellite6ga.lab.arn.redhat.com/subnets

. Select a subnet

. Go to the "Domains" tab

. Ensure that there is at least one un-checked domain for your subnet

. Create a new host

. On the "Network" tab, select the subnet which was unchecked in the tab above.

. Note that the subnet for which the domain was unchecked still is a valid option in the "subnets" drop-down
Expected results:
I would expect that only matching subnet/domain pairs would be choosable in the Ul.

Related issues:
Related to Foreman - Refactor #5445: Investigate use of Taxonomix.with_taxono... New 04/25/2014
Related to Foreman - Bug #8591: Selecting domain in New Host dialog results i... Closed 12/05/2014

Associated revisions

Revision e23023e2 - 12/03/2014 02:07 AM - Shlomi Zadok

fixes #8221 - search for subnet with taxonomy scope

Revision 2a3b436d - 12/15/2014 10:00 AM - Shlomi Zadok

fixes #8221 - search for subnet with taxonomy scope

(cherry picked from commit e23023e29632a755582b2bd080fc7b226e606620)

History

#1 - 10/30/2014 11:42 AM - Dominic Cleal

- Category set to Host creation

Looks like domain_subnets in app/helpers/hosts_and_hostgroups_helper.rb is calling .with_taxonomy_scope_override, but this method is irritatingly
using .unscoped (see also: #5445) which means we lose the scoping of subnets specific to that domain, and instead get all subnets.
#2 - 10/30/2014 11:44 AM - Dominic Cleal

- Related to Refactor #5445: Investigate use of Taxonomix.with_taxonomy_scope_override and refactor to use Taxonomix.with_taxonomy_scope
when possible added

#3 - 11/09/2014 07:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1914 added
- Pull request deleted ()

#4 - 12/03/2014 03:01 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset €23023e29632a755582b2bd080fc7b226e606620.

#5 - 12/03/2014 03:52 AM - Dominic Cleal
- Assignee set to Shlomi Zadok

- translation missing: en.field_release set to 29

#6 - 12/05/2014 07:48 AM - Dominic Cleal

- translation missing: en.field_release changed from 29 to 28

#7 - 12/05/2014 07:48 AM - Dominic Cleal

- Related to Bug #8591: Selecting domain in New Host dialog results in PGError and no subnets being available added

#8 - 12/15/2014 04:57 AM - Dominic Cleal

- translation missing: en.field_release changed from 28 to 29
